dots.v2.kubernetes.clusters.byCluster_id().node_pools.get()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.kubernetes.clusters.byCluster_id(cluster_id).node_pools.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Node_poolsGetResponse>

Description

To list all of the node pools in a Kubernetes clusters, send a GET request to /v2/kubernetes/clusters/{cluster_id}/node_pools.

Parameters

cluster_id string required

Example: bd5f5959-5e1e-4205-a714-a914373942af

A unique ID that can be used to reference a Kubernetes cluster.

Min: 1

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.kubernetes.clusters
    .byCluster_id("bd5f5959-5e1e-4205-a714-a914373942af").node_pools.get();

Response Example

Show Response Example
{
  "node_pools": [
    {
      "id": "cdda885e-7663-40c8-bc74-3a036c66545d",
      "name": "frontend-pool",
      "size": "s-1vcpu-2gb",
      "count": 3,
      "tags": [
        "production",
        "web-team",
        "k8s",
        "k8s:bd5f5959-5e1e-4205-a714-a914373942af",
        "k8s:worker"
      ],
      "labels": null,
      "auto_scale": false,
      "min_nodes": 0,
      "max_nodes": 0,
      "nodes": [
        {
          "id": "478247f8-b1bb-4f7a-8db9-2a5f8d4b8f8f",
          "name": "adoring-newton-3niq",
          "status": {
            "state": "running"
          },
          "droplet_id": "205545370",
          "created_at": "2018-11-15T16:00:11Z",
          "updated_at": "2018-11-15T16:00:11Z"
        },
        {
          "id": "ad12e744-c2a9-473d-8aa9-be5680500eb1",
          "name": "adoring-newton-3nim",
          "status": {
            "state": "running"
          },
          "droplet_id": "205545371",
          "created_at": "2018-11-15T16:00:11Z",
          "updated_at": "2018-11-15T16:00:11Z"
        },
        {
          "id": "e46e8d07-f58f-4ff1-9737-97246364400e",
          "name": "adoring-newton-3ni7",
          "status": {
            "state": "running"
          },
          "droplet_id": "205545372",
          "created_at": "2018-11-15T16:00:11Z",
          "updated_at": "2018-11-15T16:00:11Z"
        }
      ]
    },
    {
      "id": "f49f4379-7e7f-4af5-aeb6-0354bd840778",
      "name": "backend-pool",
      "size": "g-4vcpu-16gb",
      "count": 2,
      "tags": [
        "production",
        "web-team",
        "k8s",
        "k8s:bd5f5959-5e1e-4205-a714-a914373942af",
        "k8s:worker"
      ],
      "labels": {
        "service": "backend",
        "priority": "high"
      },
      "auto_scale": true,
      "min_nodes": 2,
      "max_nodes": 5,
      "nodes": [
        {
          "id": "3385619f-8ec3-42ba-bb23-8d21b8ba7518",
          "name": "affectionate-nightingale-3nif",
          "status": {
            "state": "running"
          },
          "droplet_id": "205545373",
          "created_at": "2018-11-15T16:00:11Z",
          "updated_at": "2018-11-15T16:00:11Z"
        },
        {
          "id": "4b8f60ff-ba06-4523-a6a4-b8148244c7e6",
          "name": "affectionate-nightingale-3niy",
          "status": {
            "state": "running"
          },
          "droplet_id": "205545374",
          "created_at": "2018-11-15T16:00:11Z",
          "updated_at": "2018-11-15T16:00:11Z"
        }
      ]
    }
  ]
}

More Information

See /v2/kubernetes/clusters/{cluster_id}/node_pools in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.